<?php
/** Returnerar webblsare som ett positivt heltal, unikt fr olika vllor.
    Parametern $UA r den User Agent-strng som ska kontrolleras. */
function valla($UA)
{
	$UA=strtolower($UA);
	// 1 - Galeon, Gnomes standardvlla, baserad p Gecko. *****
	if(ereg("galeon", $UA)) return 1;
	// 2 - Konqueror, KDE's standardvlla
	if(ereg("konqueror|khtml", @$UA)) return 2;
	// 3 - Links, textbaserad vlla
	if(ereg("links", $UA)) return 3;
	// 4 - Lynx, textbaserad vlla
	if(ereg("lynx", $UA)) return 4;
	// 5 - Ibrowse, en Amigavlla
	if(ereg("ibrowse", $UA)) return 5;
	// 6 - Voyager, ytterligare en Amigavlla
	if(ereg("amigavoyager", $UA)) return 6;
	// 7 - Aweb, nnu en Amigavlla
	if(ereg("amiga-aweb", $UA)) return 7;
	// 8 - w3m, textbaserad vlla
	if(ereg("w3m", $UA)) return 8;
	// 9 - Opera, norsk vlla fr flera operativsystem. *****
	if(ereg("opera", $UA)) return 9;
	// 10 - PDA-er och Mobiltelefoner.*****
	if(ereg("avantgo|up.proxy|google wap proxy", @$UA)) return 10;
	// 11 - Wget
	if(ereg("wget", $UA)) return 11;
	// 12 - Emacs/W3, Emacs' vlla. *****
	if(ereg("emacs", $UA)) return 12;
	// 13 - NSCA Mosaic, urmodern. *****
	elseif(ereg("mosaic|nsca", @$UA)) return 13;
	// 14 - Dillo
	elseif(ereg("dillo", $UA)) return 14;
	// 15 - OmniWeb, en vlla fr OS X
	elseif(ereg("omniweb", $UA)) return 15;
	// 16 - K-Meleon, Gecko-baserad Windowsvlla *****
	elseif(ereg("meleon", $UA)) return 16;
	// 17 - MSIE, Microsoft Internet Explorer *****
	if(ereg("microsoft mozilla|internet explorer|msie|explorer|iexplore", @$UA)) return 17;
	// 18 - NS 4-, dre vllor frn Netscape *****
	if((ereg("netscape navigator|netscape communicator|gold|navigator 4|navigator 3|navigator 2|navigator 1|netscape 4|netscape 3|netscape 2|netscape 1|mozilla/4|mozilla/3|mozilla/2|mozilla/1|mozilla/0", @$UA))
		|| ((ereg("nav", $UA)) && (ereg("mozilla/5.0", $UA)))) return 18;
	// 19 - NS 6+, Nya vllor frn Netscape, baserade p Mozilla. *****
	if(ereg("netscape 6|netscape 7|netscape6|netscape/7|netscape", @$UA)) return 19;
	// 20 - Mozilla *****
	if(ereg("mozilla|gecko", @$UA)) return 20;
	// 21 - W3C Validator
	elseif(ereg("validator", $UA)) return 21;
	// 98 - spindlar *****
	elseif(ereg("com|bot|crawler|scooter|mercator|link|walker|spider|archiver|gulliver|result|web|craft|bjaaland|google|index|agent|grub|gazz|ahoy|alkaline|anthill|appie|arachnophilia|arale|araneo|arks|atn|atomz|auresys|backrub|brother|blackwidow|blinde|ukonline|calif|cgireader|cmc|lwp|combine|root|cosmos|cusco|deweb|dig|grabber|dwcp|ebiness|esther|celebi|felixide|hopper|rover|fido|hmhkki|www|crawl|creep|geturl|golem|griffon|gromit|htmlgobble|ingrid|incywincy|informant|iagent|iron|javabee|jobo|net|katipo|labelgrab|larbin|legs|lockon|lycos|magpie|idrg|mediafox|merzscope|moget|monster|motor|ferret|cyber|newscan|nomad|ereg|northstar|occam|search|packrat|pageboy|parasite|patric|peregrinator|duppies|pioneer|portaljuice|plumtree|poppi|raven|rhcs|road|runner|robbie|robi|robo|senrigan|seek|site|awapclient|scout|snooper|spanner|mouse|house|suntek|tarantula|agent|titin|titan|urlck|victoria|voyager|w3m2|wallpaper|digimarc|wlm|w3mir|wolp|xget|nederland|zoek|merritt|statfetcher|templeton|slurp|spyder|mata|hari", @$UA)) return 98;
	// 99 - vriga
	else return 99;
}

/** Returnerar operativsystem som ett positivt heltal, unikt fr olika operativsystem.
    Parametern $UA r den User Agent-strng som ska kontrolleras. */
function op_sys($UA)
{
// 1 - Linux/GNU+Linux, 2 - Windows, 3- MacOS X, 4 - Macintosh, 5 - Mobiltelefon/PDA,
// 6 - FreeBSD, 7 - OpenBSD, 8 - NetBSD, 9 - SunOS, 10 - IRIX, 11 - BeOS, 12 - OS/2,
// 13 - HP-UX, 14 - AIX, 15 - QNX, 16 - AtheOS, 17 - Amiga, 18 - Atari, 19 - Tru64 Unix,
// 99 -	vriga/oknda.
	$UA=strtolower($UA);
	if(ereg("linux", $UA)) return 1;
	elseif(ereg("windows", $UA)) return 2;
	elseif(ereg("mac os x|darwin|omniweb|macosx|macos x|aqua", @$UA)) return 3;
	elseif(ereg("mac|golem|katipo|duppies|motor|apple", @$UA)) return 4;
	elseif(ereg("sie-me|avantgo|up.link", @$UA)) return 5;
	elseif(ereg("freebsd|suke|esther", @$UA)) return 6;
	elseif(ereg("openbsd|festalt", @$UA)) return 7;
	elseif(ereg("netbsd", $UA)) return 8;
	elseif(ereg("sunos|titan|solaris", @$UA)) return 9;
	elseif(ereg("irix", $UA)) return 10;
	elseif(ereg("beos", $UA)) return 11;
	elseif(ereg("os/2", $UA)) return 12;
	elseif(ereg("hp-ux", $UA)) return 13;
	elseif(ereg("aix", $UA)) return 14;
	elseif(ereg("qnx", $UA)) return 15;
	elseif(ereg("atheos", $UA)) return 16;
	elseif(ereg("amiga", $UA)) return 17;
	elseif(ereg("atari", $UA)) return 18;
	elseif(ereg("tru64|compaq", @$UA)) return 19;
	/* Linuxspindlar */
	elseif(ereg("gcreep|googlebot|gulper|mwdsearch|newscan|poppi|robocrawl|searchprocess|tlspider|psbot|larbin|mindcrawler|monster|cienciaficcion.net", @$UA)) return 1;
	/* Windowsspidlar */
	elseif(ereg("lwp|win|cyberspyder|dragonbot|fastcrawler|felixide|piltdownman|plumtree|webreaper|webbandit|webmoose|digimarc|robofox|slcrawler|esismartspider|speedy spider|ssearcher|url spider pro|wallpaper|hometown|idrg|sharp-info-agent|paraSite|linkwalker", @$UA)) return 2;
	/* vriga */
	else return 99;
}
?>